Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAAnalyzer.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAAnalyzer.cs	(revision 14711)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAAnalyzer.cs	(revision 14712)
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAOperators/CMAEqualweightedRecombinator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAOperators/CMAEqualweightedRecombinator.cs	(revision 14711)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAOperators/CMAEqualweightedRecombinator.cs	(revision 14712)
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAOperators/CMAInitializer.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAOperators/CMAInitializer.cs	(revision 14711)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAOperators/CMAInitializer.cs	(revision 14712)
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAOperators/CMALinearweightedRecombinator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAOperators/CMALinearweightedRecombinator.cs	(revision 14711)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAOperators/CMALinearweightedRecombinator.cs	(revision 14712)
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAOperators/CMALogweightedRecombinator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAOperators/CMALogweightedRecombinator.cs	(revision 14711)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAOperators/CMALogweightedRecombinator.cs	(revision 14712)
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAOperators/CMAMutator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAOperators/CMAMutator.cs	(revision 14711)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAOperators/CMAMutator.cs	(revision 14712)
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAOperators/CMARecombinator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAOperators/CMARecombinator.cs	(revision 14711)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAOperators/CMARecombinator.cs	(revision 14712)
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAOperators/CMAUpdater.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAOperators/CMAUpdater.cs	(revision 14711)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAOperators/CMAUpdater.cs	(revision 14712)
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/Interfaces/ICMAInitializer.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/Interfaces/ICMAInitializer.cs	(revision 14711)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/Interfaces/ICMAInitializer.cs	(revision 14712)
@@ -27,4 +27,5 @@
 
 namespace HeuristicLab.Algorithms.CMAEvolutionStrategy {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("63D967E3-C86D-4E0E-BCDD-AE9801455AD2")]
   public interface ICMAInitializer : IOperator {
     Type CMAType { get; }
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/Interfaces/ICMAManipulator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/Interfaces/ICMAManipulator.cs	(revision 14711)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/Interfaces/ICMAManipulator.cs	(revision 14712)
@@ -28,4 +28,5 @@
 
 namespace HeuristicLab.Algorithms.CMAEvolutionStrategy {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("B9C691D1-2D0B-4B56-A907-58632D1571D1")]
   public interface ICMAManipulator : IOperator {
     Type CMAType { get; }
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/Interfaces/ICMARecombinator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/Interfaces/ICMARecombinator.cs	(revision 14711)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/Interfaces/ICMARecombinator.cs	(revision 14712)
@@ -27,4 +27,5 @@
 
 namespace HeuristicLab.Algorithms.CMAEvolutionStrategy {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("E2BFFEDF-06C6-449A-A983-BADD48C73527")]
   public interface ICMARecombinator : IOperator {
     Type CMAType { get; }
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/Interfaces/ICMAUpdater.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/Interfaces/ICMAUpdater.cs	(revision 14711)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/Interfaces/ICMAUpdater.cs	(revision 14712)
@@ -28,4 +28,5 @@
 
 namespace HeuristicLab.Algorithms.CMAEvolutionStrategy {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("06EF0B97-72D6-4AF3-81BC-CB62564BF666")]
   public interface ICMAUpdater : IOperator {
     Type CMAType { get; }
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAAnalyzer.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAAnalyzer.cs	(revision 14711)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAAnalyzer.cs	(revision 14712)
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAOperators/CMAEqualweightedRecombinator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAOperators/CMAEqualweightedRecombinator.cs	(revision 14711)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAOperators/CMAEqualweightedRecombinator.cs	(revision 14712)
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAOperators/CMAInitializer.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAOperators/CMAInitializer.cs	(revision 14711)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAOperators/CMAInitializer.cs	(revision 14712)
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAOperators/CMALinearweightedRecombinator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAOperators/CMALinearweightedRecombinator.cs	(revision 14711)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAOperators/CMALinearweightedRecombinator.cs	(revision 14712)
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAOperators/CMALogweightedRecombinator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAOperators/CMALogweightedRecombinator.cs	(revision 14711)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAOperators/CMALogweightedRecombinator.cs	(revision 14712)
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAOperators/CMAMutator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAOperators/CMAMutator.cs	(revision 14711)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAOperators/CMAMutator.cs	(revision 14712)
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAOperators/CMARecombinator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAOperators/CMARecombinator.cs	(revision 14711)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAOperators/CMARecombinator.cs	(revision 14712)
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAOperators/CMAUpdater.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAOperators/CMAUpdater.cs	(revision 14711)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAOperators/CMAUpdater.cs	(revision 14712)
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/Interfaces/ICMAInitializer.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/Interfaces/ICMAInitializer.cs	(revision 14711)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/Interfaces/ICMAInitializer.cs	(revision 14712)
@@ -27,4 +27,5 @@
 
 namespace HeuristicLab.Algorithms.CMAEvolutionStrategy {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("D25FBEA7-9642-4EEC-A5CE-E07682CCF3C8")]
   public interface ICMAInitializer : IOperator {
     Type CMAType { get; }
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/Interfaces/ICMAManipulator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/Interfaces/ICMAManipulator.cs	(revision 14711)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/Interfaces/ICMAManipulator.cs	(revision 14712)
@@ -28,4 +28,5 @@
 
 namespace HeuristicLab.Algorithms.CMAEvolutionStrategy {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("A538B95A-AA94-4E79-A88D-C88405C20997")]
   public interface ICMAManipulator : IOperator {
     Type CMAType { get; }
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/Interfaces/ICMARecombinator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/Interfaces/ICMARecombinator.cs	(revision 14711)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/Interfaces/ICMARecombinator.cs	(revision 14712)
@@ -27,4 +27,5 @@
 
 namespace HeuristicLab.Algorithms.CMAEvolutionStrategy {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("DB89F752-CA29-42CD-AFF2-7C8AC65A50A0")]
   public interface ICMARecombinator : IOperator {
     Type CMAType { get; }
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/Interfaces/ICMAUpdater.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/Interfaces/ICMAUpdater.cs	(revision 14711)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/Interfaces/ICMAUpdater.cs	(revision 14712)
@@ -28,4 +28,5 @@
 
 namespace HeuristicLab.Algorithms.CMAEvolutionStrategy {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("4603796A-0B77-4EE6-BB13-B9A007EC7F40")]
   public interface ICMAUpdater : IOperator {
     Type CMAType { get; }
